Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers/TextFormat.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers/TextFormat.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers/TextFormat.cs	(revision 4068)
@@ -34,4 +34,5 @@
 
 using System;
+using System.Collections;
 using System.Collections.Generic;
 using System.Globalization;
@@ -39,5 +40,4 @@
 using System.Text;
 using Google.ProtocolBuffers.Descriptors;
-using System.Collections;
 
 namespace Google.ProtocolBuffers {
@@ -87,5 +87,5 @@
       if (field.IsRepeated) {
         // Repeated field.  Print each element.
-        foreach (object element in (IEnumerable) value) {
+        foreach (object element in (IEnumerable)value) {
           PrintSingleField(field, element, generator);
         }
@@ -102,5 +102,5 @@
             && field.FieldType == FieldType.Message
             && field.IsOptional
-            // object equality (TODO(jonskeet): Work out what this comment means!)
+          // object equality (TODO(jonskeet): Work out what this comment means!)
             && field.ExtensionScope == field.MessageType) {
           generator.Print(field.MessageType.FullName);
@@ -150,32 +150,32 @@
           // The simple Object.ToString converts using the current culture.
           // We want to always use the invariant culture so it's predictable.
-          generator.Print(((IConvertible) value).ToString(CultureInfo.InvariantCulture));
+          generator.Print(((IConvertible)value).ToString(CultureInfo.InvariantCulture));
           break;
         case FieldType.Bool:
           // Explicitly use the Java true/false
-          generator.Print((bool) value ? "true" : "false");
+          generator.Print((bool)value ? "true" : "false");
           break;
 
         case FieldType.String:
           generator.Print("\"");
-          generator.Print(EscapeText((string) value));
+          generator.Print(EscapeText((string)value));
           generator.Print("\"");
           break;
 
         case FieldType.Bytes: {
-          generator.Print("\"");
-          generator.Print(EscapeBytes((ByteString) value));
-          generator.Print("\"");
-          break;
-        }
+            generator.Print("\"");
+            generator.Print(EscapeBytes((ByteString)value));
+            generator.Print("\"");
+            break;
+          }
 
         case FieldType.Enum: {
-          generator.Print(((EnumValueDescriptor) value).Name);
-          break;
-        }
+            generator.Print(((EnumValueDescriptor)value).Name);
+            break;
+          }
 
         case FieldType.Message:
         case FieldType.Group:
-          Print((IMessage) value, generator);
+          Print((IMessage)value, generator);
           break;
       }
@@ -220,5 +220,5 @@
 
     internal static ulong ParseUInt64(string text) {
-      return (ulong) ParseInteger(text, false, true);
+      return (ulong)ParseInteger(text, false, true);
     }
 
@@ -228,9 +228,9 @@
 
     internal static uint ParseUInt32(string text) {
-      return (uint) ParseInteger(text, false, false);
+      return (uint)ParseInteger(text, false, false);
     }
 
     internal static int ParseInt32(string text) {
-      return (int) ParseInteger(text, true, false);
+      return (int)ParseInteger(text, true, false);
     }
 
@@ -269,5 +269,5 @@
       }
     }
-    
+
     /// <summary>
     /// Parses an integer in hex (leading 0x), decimal (no prefix) or octal (leading 0).
@@ -298,5 +298,6 @@
         // We should be able to use Convert.ToUInt64 for all cases.
         result = radix == 10 ? ulong.Parse(text) : Convert.ToUInt64(text, radix);
-      } catch (OverflowException) {
+      }
+      catch (OverflowException) {
         // Convert OverflowException to FormatException so there's a single exception type this method can throw.
         string numberDescription = string.Format("{0}-bit {1}signed integer", isLong ? 64 : 32, isSigned ? "" : "un");
@@ -310,8 +311,8 @@
           throw new FormatException("Number out of range for " + numberDescription + ": " + original);
         }
-        return -((long) result);
-      } else {
-        ulong max = isSigned 
-            ? (isLong ? (ulong) long.MaxValue : int.MaxValue)
+        return -((long)result);
+      } else {
+        ulong max = isSigned
+            ? (isLong ? (ulong)long.MaxValue : int.MaxValue)
             : (isLong ? ulong.MaxValue : uint.MaxValue);
         if (result > max) {
@@ -319,5 +320,5 @@
           throw new FormatException("Number out of range for " + numberDescription + ": " + original);
         }
-        return (long) result;
+        return (long)result;
       }
     }
@@ -384,22 +385,22 @@
         switch (b) {
           // C# does not use \a or \v
-          case 0x07: builder.Append("\\a" ); break;
-          case (byte)'\b': builder.Append("\\b" ); break;
-          case (byte)'\f': builder.Append("\\f" ); break;
-          case (byte)'\n': builder.Append("\\n" ); break;
-          case (byte)'\r': builder.Append("\\r" ); break;
-          case (byte)'\t': builder.Append("\\t" ); break;
-          case 0x0b: builder.Append("\\v" ); break;
+          case 0x07: builder.Append("\\a"); break;
+          case (byte)'\b': builder.Append("\\b"); break;
+          case (byte)'\f': builder.Append("\\f"); break;
+          case (byte)'\n': builder.Append("\\n"); break;
+          case (byte)'\r': builder.Append("\\r"); break;
+          case (byte)'\t': builder.Append("\\t"); break;
+          case 0x0b: builder.Append("\\v"); break;
           case (byte)'\\': builder.Append("\\\\"); break;
           case (byte)'\'': builder.Append("\\\'"); break;
-          case (byte)'"' : builder.Append("\\\""); break;
+          case (byte)'"': builder.Append("\\\""); break;
           default:
             if (b >= 0x20 && b < 128) {
-              builder.Append((char) b);
+              builder.Append((char)b);
             } else {
               builder.Append('\\');
-              builder.Append((char) ('0' + ((b >> 6) & 3)));
-              builder.Append((char) ('0' + ((b >> 3) & 7)));
-              builder.Append((char) ('0' + (b & 7)));
+              builder.Append((char)('0' + ((b >> 6) & 3)));
+              builder.Append((char)('0' + ((b >> 3) & 7)));
+              builder.Append((char)('0' + (b & 7)));
             }
             break;
@@ -421,5 +422,5 @@
         }
         if (c != '\\') {
-          result[pos++] = (byte) c;
+          result[pos++] = (byte)c;
           continue;
         }
@@ -433,30 +434,30 @@
           // Octal escape. 
           int code = ParseDigit(c);
-          if (i + 1 < input.Length && IsOctal(input[i+1])) {
+          if (i + 1 < input.Length && IsOctal(input[i + 1])) {
             i++;
             code = code * 8 + ParseDigit(input[i]);
           }
-          if (i + 1 < input.Length && IsOctal(input[i+1])) {
+          if (i + 1 < input.Length && IsOctal(input[i + 1])) {
             i++;
             code = code * 8 + ParseDigit(input[i]);
           }
-          result[pos++] = (byte) code;
+          result[pos++] = (byte)code;
         } else {
           switch (c) {
             case 'a': result[pos++] = 0x07; break;
-            case 'b': result[pos++] = (byte) '\b'; break;
-            case 'f': result[pos++] = (byte) '\f'; break;
-            case 'n': result[pos++] = (byte) '\n'; break;
-            case 'r': result[pos++] = (byte) '\r'; break;
-            case 't': result[pos++] = (byte) '\t'; break;
+            case 'b': result[pos++] = (byte)'\b'; break;
+            case 'f': result[pos++] = (byte)'\f'; break;
+            case 'n': result[pos++] = (byte)'\n'; break;
+            case 'r': result[pos++] = (byte)'\r'; break;
+            case 't': result[pos++] = (byte)'\t'; break;
             case 'v': result[pos++] = 0x0b; break;
-            case '\\': result[pos++] = (byte) '\\'; break;
-            case '\'': result[pos++] = (byte) '\''; break;
-            case '"': result[pos++] = (byte) '\"'; break;
+            case '\\': result[pos++] = (byte)'\\'; break;
+            case '\'': result[pos++] = (byte)'\''; break;
+            case '"': result[pos++] = (byte)'\"'; break;
 
             case 'x':
               // hex escape
               int code;
-              if (i + 1 < input.Length && IsHex(input[i+1])) {
+              if (i + 1 < input.Length && IsHex(input[i + 1])) {
                 i++;
                 code = ParseDigit(input[i]);
@@ -464,5 +465,5 @@
                 throw new FormatException("Invalid escape sequence: '\\x' with no digits");
               }
-              if (i + 1 < input.Length && IsHex(input[i+1])) {
+              if (i + 1 < input.Length && IsHex(input[i + 1])) {
                 ++i;
                 code = code * 16 + ParseDigit(input[i]);
@@ -636,26 +637,26 @@
 
           case FieldType.Enum: {
-            EnumDescriptor enumType = field.EnumType;
-
-            if (tokenizer.LookingAtInteger()) {
-              int number = tokenizer.ConsumeInt32();
-              value = enumType.FindValueByNumber(number);
-              if (value == null) {
-                throw tokenizer.CreateFormatExceptionPreviousToken(
-                  "Enum type \"" + enumType.FullName +
-                  "\" has no value with number " + number + ".");
+              EnumDescriptor enumType = field.EnumType;
+
+              if (tokenizer.LookingAtInteger()) {
+                int number = tokenizer.ConsumeInt32();
+                value = enumType.FindValueByNumber(number);
+                if (value == null) {
+                  throw tokenizer.CreateFormatExceptionPreviousToken(
+                    "Enum type \"" + enumType.FullName +
+                    "\" has no value with number " + number + ".");
+                }
+              } else {
+                String id = tokenizer.ConsumeIdentifier();
+                value = enumType.FindValueByName(id);
+                if (value == null) {
+                  throw tokenizer.CreateFormatExceptionPreviousToken(
+                    "Enum type \"" + enumType.FullName +
+                    "\" has no value named \"" + id + "\".");
+                }
               }
-            } else {
-              String id = tokenizer.ConsumeIdentifier();
-              value = enumType.FindValueByName(id);
-              if (value == null) {
-                throw tokenizer.CreateFormatExceptionPreviousToken(
-                  "Enum type \"" + enumType.FullName +
-                  "\" has no value named \"" + id + "\".");
-              }
+
+              break;
             }
-
-            break;
-          }
 
           case FieldType.Message:
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers/UnknownFieldSet.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers/UnknownFieldSet.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers/UnknownFieldSet.cs	(revision 4068)
@@ -38,5 +38,4 @@
 using Google.ProtocolBuffers.Collections;
 using Google.ProtocolBuffers.Descriptors;
-using Google.ProtocolBuffers.DescriptorProtos;
 
 namespace Google.ProtocolBuffers {
@@ -121,5 +120,5 @@
     /// Gets the number of bytes required to encode this set.
     /// </summary>
-    public int SerializedSize { 
+    public int SerializedSize {
       get {
         int result = 0;
@@ -128,5 +127,5 @@
         }
         return result;
-      } 
+      }
     }
 
@@ -241,6 +240,5 @@
     /// Builder for UnknownFieldSets.
     /// </summary>
-    public sealed class Builder
-    {
+    public sealed class Builder {
       /// <summary>
       /// Mapping from number to field. Note that by using a SortedList we ensure
@@ -320,5 +318,5 @@
         return this;
       }
-      
+
       /// <summary>
       /// Parse an entire message from <paramref name="input"/> and merge
@@ -335,11 +333,11 @@
       }
 
-        /// <summary>
-        /// Parse a single field from <paramref name="input"/> and merge it
-        /// into this set.
-        /// </summary>
-        /// <param name="tag">The field's tag number, which was already parsed.</param>
-        /// <param name="input">The coded input stream containing the field</param>
-        /// <returns>false if the tag is an "end group" tag, true otherwise</returns>
+      /// <summary>
+      /// Parse a single field from <paramref name="input"/> and merge it
+      /// into this set.
+      /// </summary>
+      /// <param name="tag">The field's tag number, which was already parsed.</param>
+      /// <param name="input">The coded input stream containing the field</param>
+      /// <returns>false if the tag is an "end group" tag, true otherwise</returns>
       [CLSCompliant(false)]
       public bool MergeFieldFrom(uint tag, CodedInputStream input) {
@@ -356,9 +354,9 @@
             return true;
           case WireFormat.WireType.StartGroup: {
-            Builder subBuilder = CreateBuilder();
-            input.ReadUnknownGroup(number, subBuilder);
-            GetFieldBuilder(number).AddGroup(subBuilder.Build());
-            return true;
-          }
+              Builder subBuilder = CreateBuilder();
+              input.ReadUnknownGroup(number, subBuilder);
+              GetFieldBuilder(number).AddGroup(subBuilder.Build());
+              return true;
+            }
           case WireFormat.WireType.EndGroup:
             return false;
@@ -428,5 +426,5 @@
       public Builder MergeFrom(UnknownFieldSet other) {
         if (other != DefaultInstance) {
-          foreach(KeyValuePair<int, UnknownField> entry in other.fields) {
+          foreach (KeyValuePair<int, UnknownField> entry in other.fields) {
             MergeField(entry.Key, entry.Value);
           }
@@ -486,5 +484,5 @@
       /// <param name="tag">The tag, which should already have been read from the input</param>
       /// <returns>true unless the tag is an end-group tag</returns>
-      internal bool MergeFieldFrom(CodedInputStream input, 
+      internal bool MergeFieldFrom(CodedInputStream input,
           ExtensionRegistry extensionRegistry, IBuilder builder, uint tag) {
 
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SharpDevelop/3.1.1.5327/HeuristicLabSharpDevelopPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SharpDevelop/3.1.1.5327/HeuristicLabSharpDevelopPlugin.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.SharpDevelop/3.1.1.5327/HeuristicLabSharpDevelopPlugin.cs	(revision 4068)
@@ -20,8 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using HeuristicLab.PluginInfrastructure;
 
